import { ChangeEventHandler, KeyboardEventHandler, MouseEventHandler } from 'react';
export declare const StyledElement: import("styled-components").StyledComponent<"button", any, {
    isPrimary?: boolean | undefined;
    isRounded?: boolean | undefined;
    size?: string | undefined;
    onClick: MouseEventHandler<HTMLButtonElement>;
}, never>;
export declare const AddTaskWrapper: import("styled-components").StyledComponent<"div", any, {
    layout?: string | undefined;
    onClick: MouseEventHandler<HTMLDivElement>;
}, never>;
export declare const AddTaskButton: import("styled-components").StyledComponent<"button", any, {}, never>;
export declare const InputsWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledTextArea: import("styled-components").StyledComponent<"textarea", any, {
    onKeyDown: KeyboardEventHandler<HTMLTextAreaElement>;
    onInput: ChangeEventHandler<HTMLTextAreaElement>;
    onChange: ChangeEventHandler<HTMLTextAreaElement>;
}, never>;
export declare const StyledSVG: import("styled-components").StyledComponent<"svg", any, {}, never>;
